/**********************************************
* Zeus CMD - OpenGL ES Tutorial 6 : Rendering *
* By Grant James (ZEUS)                       *
* http://www.zeuscmd.com                      *
**********************************************/
#pragma comment(lib, "libGLES_CM.lib")

#define GLUTES_STATIC

#include <GLES/glutes.h>


void init()
{
	glClearColor (0.0f, 0.0f, 0.0f, 0.0f);
}

void display()
{
   glClear (GL_COLOR_BUFFER_BIT);

   glFlush ();
   glutSwapBuffers();
}

void keyboard2(int key, int x, int y)
{
	switch(key)
	{
	case GLUT_KEY_UP : exit(0); break;
	}
}

void menu(int entry)
{
	switch(entry)
	{
	case 1 : exit(0); break;
	}
}

int main(int argc, char *argv[])
{
	glutInit(&argc, argv);
	glutInitDisplayMode(GLUT_DOUBLE | GLUT_RGBA);

	glutCreateWindow("06 - Rendering");

	init();

	glutDisplayFunc(display);
	glutSpecialFunc(keyboard2);

	glutCreateMenu(menu);
	glutAddMenuEntry("Quit", 1);

	glutAttachMenu(GLUT_LEFT_BUTTON);

	glutMainLoop();

	return 0;
}
